Subject: Re: bug#27066: 25.1; dired unsafe variables

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 May 2017 21:09:47 +0300

> Date: Thu, 25 May 2017 18:58:11 +0200
> From: Francesco Potortì <[email-masked]>
> Cc: [email-masked]
> 
> >How did you search?  Typing "i directory-local RET" lands me on the
> >right place, as does "C-s dir-local" followed by C-s enough times.
> 
> Hm.  It turns out that Debian, for some reason, did not update my dir
> info file after installing emacs25 side-by-side with emacs22, so I was
> reading emacs22 docs.  Sorry for the inaccurate info.

Ah, Debian with its user-unfriendly documentation policies...

> >Please suggest how to improve the existing docs.
> 
> The warning message should not say that risky variables are present in the
> directory: that makes sense only if you know where to look.  When
> reading that message, I thought about some bug somewhere.
> 
> The warning message should name the file where the offending variables
> were found, instead.

Patches are welcome to add the file name.  AFAICT, the function that
actually applies the variables doesn't know on which file the
variables were found, as there could be more than one of them, and
they all are read to produce a list of variables, before the
variables' values are applied.

> >Perhaps we should offer an option to ask the question you mentioned,
> >but I think in general it will annoy too much.
> 
> I don't know.  It's a relatively recent innovation, and I bet very few
> users have ever stumbled into it.

Well, not too recent: it was introduced in Emacs 23.1, 8 years ago.
Time flies...